.\" This file contains changes from the Open Software Foundation.
.\"
.\"	from: @(#)newsyslog.8
.\" $FreeBSD: src/usr.sbin/newsyslog/newsyslog.8,v 1.1.1.1.2.9 1999/09/05 11:40:36 peter Exp $
.\"
.\" Copyright 1988, 1989 by the Massachusetts Institute of Technology
.\" 
.\" Permission to use, copy, modify, and distribute this software
.\" and its documentation for any purpose and without fee is
.\" hereby granted, provided that the above copyright notice
.\" appear in all copies and that both that copyright notice and
.\" this permission notice appear in supporting documentation,
.\" and that the names of M.I.T. and the M.I.T. S.I.P.B. not be
.\" used in advertising or publicity pertaining to distribution
.\" of the software without specific, written prior permission.
.\" M.I.T. and the M.I.T. S.I.P.B. make no representations about
.\" the suitability of this software for any purpose.  It is
.\" provided "as is" without express or implied warranty.
.\"
.Dd January 12, 1989
.Dt NEWSYSLOG 8
.Os
.Sh NAME
.Nm newsyslog
.Nd maintain system log files to manageable sizes
.Sh SYNOPSIS
.Nm newsyslog
.Op Fl Fnrv
.Op Fl f Ar config_file
.Sh DESCRIPTION
.Nm Newsyslog
is a program that should be scheduled to run periodically by
.Xr cron 8 .
When it is executed it archives log files if necessary.  If a log file
is determined to require archiving, 
.Nm
rearranges the files so that ``logfile'' is empty, ``logfile.0'' has
the last period's logs in it, ``logfile.1'' has the next to last
period's logs in it, and so on, up to a user-specified number of
archived logs.  Optionally the archived logs can be compressed to save
space. 
.Pp
A log can be archived because of two reasons.  The log file can have
grown bigger than a preset size in kilobytes, or a preset number of
hours may have elapsed since the last log archive.  The granularity of
.Nm
is dependent on how often it is scheduled to run by
.Xr cron 8 .
Since the program is quite fast, it may be scheduled to run every hour
without any ill effects.
.Pp
When starting up, 
.Nm
reads in a configuration file to determine which logs should be looked
at.  By default, this configuration file is 
.Pa /etc/newsyslog.conf .
Each line of the file contains information about a particular log file
that should be handled by
.Nm newsyslog .
Each line has five mandatory fields and three optional fields, with a
whitespace separating each field.  Blank lines or lines beginning with
``#'' are ignored.  The fields of the configuration file are as
follows: 
.Pp
.Bl -tag -width indent
.It Ar logfile_name
Name of the system log file to be archived.
.It Ar owner.group
Specify the owner and group for the archive file.
The "." is essential, even if the
.Ar owner
or
.Ar group
field is left blank.  The field may be numeric, or a name which is 
present in
.Pa /etc/passwd
or
.Pa /etc/group .
.It Ar mode 
Specify the mode of the log file and archives.
.It Ar count
Specify the number of archive files to be kept
besides the log file itself.
.It Ar size
When the size of the log file reaches
.Ar size ,
the log file will be trimmed as described above.  If this field
is replaced by a
.Ar * ,
then the size of the log file is not taken into account
when determining when to trim the log file.
.It Ar interval
When 
.Ar interval
hours have passed, the log file will be trimmed.  If this field is
replaced by a
.Ar * ,
then the number of hours since the last time the log was
trimmed will not be taken into consideration.
.It Ar flags
This optional field specifies if the archive should have any
special processing done to the archived log files.
The
.Ar Z
flag will make the archive files compress to save space by
using
.Xr gzip 1 .
The
.Ar B
flag means that the file is a binary file, and so the
.Tn ASCII
message which
.Nm
inserts to indicate the fact that the logs have been
turned over should not be included.  The
.Ar -
flag means nothing, but can be used as a placeholder when the
.Ar path_to_pid_file
field is specified.
.It Ar path_to_pid_file
This optional field specifies
the file name to read to find the daemon process id.  If this
field is present, a
.Ar signal_number
is sent the process id contained in this
file.  This field must start with "/" in order to be recognized
properly.
.It Ar signal_number
This optional field specifies
the signal number will be sent to the daemon process. By default
a SIGHUP will be sent.
.El
.Sh OPTIONS
The following options can be used with newsyslog:
.Bl -tag -width indent
.It Fl f Ar config_file
Instruct newsyslog to use 
.Ar config_file
instead of
.Pa /etc/newsyslog.conf
for its configuration file.
.It Fl v
Place 
.Nm
in verbose mode.  In this mode it will print out each log and its
reasons for either trimming that log or skipping it.
.It Fl n
Cause
.Nm
not to trim the logs, but to print out what it would do if this option
were not specified.
.It Fl r
Remove the restriction that
.Nm
must be running as root.  Of course, 
.Nm
will not be able to send a HUP signal to
.Xr syslogd 8
so this option should only be used in debugging.
.It Fl F
Force
.Nm
to trim the logs, even if the trim conditions have not been met.  This
option is useful for diagnosing system problems by providing you with
fresh logs that contain only the problems.
.El
.Sh FILES
.Bl -tag -width /etc/newsyslog.confxxxx -compact
.It Pa /etc/newsyslog.conf
.Nm
configuration file.
.El
.Sh BUGS
Doesn't yet automatically read the logs to find security breaches.
.Sh AUTHORS
.An Theodore Ts'o ,
MIT Project Athena
.Pp
Copyright 1987, Massachusetts Institute of Technology
.Sh "SEE ALSO"
.Xr gzip 1 ,
.Xr syslog 3 ,
.Xr syslogd 8
